Bug 516547 - Review Request: Django-south - Intelligent schema migrations for Django apps
Summary: Review Request: Django-south - Intelligent schema migrations for Django apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-10 12:05 UTC by Diego Búrigo Zacarão
Modified: 2009-09-03 23:18 UTC (History)
3 users (show)

Fixed In Version: 0.6-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 08:22:25 UTC
Type: ---
a.badger: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Diego Búrigo Zacarão 2009-08-10 12:05:29 UTC
Spec URL: http://diegobz.fedorapeople.org/packages/django-south/django-south.spec
SRPM URL: http://diegobz.fedorapeople.org/packages/django-south/django-south-0.6-1.fc11.rc1.src.rpm
Description: 

South brings migrations to Django applications. Its main objectives are to
provide a simple, stable and database-independent migration layer to prevent
all the hassle schema changes over time bring to your Django applications.

This package is needed to suppress a dependency for the new Transifex 0.7-RC1.
This is my first package and I need sponsor.
Spec based on django-evolution package.

Comment 1 Toshio Ernie Kuratomi 2009-08-11 05:05:12 UTC
GOOD:                                                                        
* rpmlint is clean                                                           
* Approved license and license tag matches LICENSE file.                     
  - No conflicting licenses found in headers of package.                     
  - License file included in %doc                                            
* Specfile is readable                                                       
* Source matches upstream but see below.                                     
* No locale files                                                            
* Not a shared library                                                       
* Not relocatable                                                            
* Owns all files and directories it creates                                  
* %clean section set corectly                                                
* macros used consistently                                                   
* code, not content                                                          
* %doc files do not affect package runtime.                                  
* All filenames are valid utf-8                                              

NEEDSWORK:

* Package name doesn't fit the guidelines but there is a lot of precedent for
  django plugins.  Asking on the fedora-packaging list.  options are:        
  - python-django-south                                                      
  - Django-south                                                             
  - Write an exception and use django-south                                  

  I like either the first or the last.

* You should add a revision to the checkout line in the Source0 comment so that
  someone can get the exact revision at a later date.  Something like this:
     # hg clone -r 3a3140b338a4 https://bitbucket.org/andrewgodwin/south/ django-south-0.6-rc1
  The idea is for the reviewer to know how to reproduce the exact tarball that is in the srpm.

* This is a pre-release so the Release should start with "0." to avoid update
  problems when 0.6 final is released.  Since it's a snapshot package, it
  should have some information about being a checkout encoded as well:
     %global vcsdate 20090710
     %global vcstag rc1-6
     Release:        0.1.%{vcsdate}hg%{vcstag}%{?dist}
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages


* Does not build in koji:
    koji build --scratch dist-f12 django-south-0.6-1.fc11.rc1.src.rpm
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1596489
    Looks like you need to BuildRequire: python-setuptools-devel

In case you haven't seen them, the packaging generic Guidelines and python Guidelines are relevant to this package:
https://fedoraproject.org/wiki/Packaging:Guidelines
https://fedoraproject.org/wiki/Packaging:Python

Comment 4 Toshio Ernie Kuratomi 2009-08-12 22:49:23 UTC
Looks good.  Now builds in koji and the other issues have been addressed.  The only thing left is that there's now a tarball for the django-south-0.6 release but this is still building from an hg snapshot.  That's not a huge issue but there are several advantages to using the tarball:

* Since most people are going to be using the tarball, there's more QA effort going into the release from other ditributions and other people downloading it.
* The hg snapshot includes the hg repository so it's larger than the tarball.

Make that change and have the Source0: line point to the new tarball location and I'll approve this.

Comment 6 Toshio Ernie Kuratomi 2009-08-13 20:32:32 UTC
APPROVED

Comment 7 Diego Búrigo Zacarão 2009-08-13 21:03:32 UTC
New Package CVS Request
=======================
Package Name: Django-south
Short Description: Intelligent schema migrations for Django apps
Owners: diegobz
Branches: F-10 F-11 EL-5
InitialCC: diegobz

Comment 8 Jason Tibbitts 2009-08-14 16:18:41 UTC
CVS done.

Comment 9 Fedora Update System 2009-08-14 18:14:37 UTC
Django-south-0.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/Django-south-0.6-2.fc11

Comment 10 Fedora Update System 2009-08-14 18:14:42 UTC
Django-south-0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Django-south-0.6-2.el5

Comment 11 Fedora Update System 2009-08-15 08:22:20 UTC
Django-south-0.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-09-03 23:17:56 UTC
Django-south-0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.